Package org.pushingpixels.flamingo.internal.utils

# Class KeyTipManager.KeyTipChain

java.lang.Object
org.pushingpixels.flamingo.internal.utils.KeyTipManager.KeyTipChain

Enclosing class:
  `KeyTipManager`

public class KeyTipManager.KeyTipChain extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`JComponent`
`chainParentComponent`
`int`
`keyTipLookupIndex`

## Constructor Summary

Constructors
Constructor
Description
`KeyTipChain(JComponent chainParentComponent)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addLink(KeyTipManager.KeyTipLink link)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### keyTipLookupIndex

public int keyTipLookupIndex

### chainParentComponent

public JComponent chainParentComponent

## Constructor Details

### KeyTipChain

public KeyTipChain(JComponent chainParentComponent)

## Method Details

### addLink

public void addLink(KeyTipManager.KeyTipLink link)